/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Y Axis controls for the distribution widget.
 */
export declare class DistributionWidgetYAxis {
    /**
     * True includes zero.
     */
    "includeZero"?: boolean;
    /**
     * The label of the axis to display on the graph.
     */
    "label"?: string;
    /**
     * Specifies the maximum value to show on the y-axis. It takes a number, or auto for default behavior.
     */
    "max"?: string;
    /**
     * Specifies minimum value to show on the y-axis. It takes a number, or auto for default behavior.
     */
    "min"?: string;
    /**
     * Specifies the scale type. Possible values are `linear` or `log`.
     */
    "scale"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
