/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { FormulaAndFunctionEventQueryDefinitionCompute } from "./FormulaAndFunctionEventQueryDefinitionCompute";
import { FormulaAndFunctionEventQueryDefinitionSearch } from "./FormulaAndFunctionEventQueryDefinitionSearch";
import { FormulaAndFunctionEventQueryGroupBy } from "./FormulaAndFunctionEventQueryGroupBy";
import { FormulaAndFunctionEventsDataSource } from "./FormulaAndFunctionEventsDataSource";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A formula and functions events query.
 */
export declare class FormulaAndFunctionEventQueryDefinition {
    /**
     * Compute options.
     */
    "compute": FormulaAndFunctionEventQueryDefinitionCompute;
    /**
     * The source organization UUID for cross organization queries. Feature in Private Beta.
     */
    "crossOrgUuids"?: Array<string>;
    /**
     * Data source for event platform-based queries.
     */
    "dataSource": FormulaAndFunctionEventsDataSource;
    /**
     * Group by options.
     */
    "groupBy"?: Array<FormulaAndFunctionEventQueryGroupBy>;
    /**
     * An array of index names to query in the stream. Omit or use `[]` to query all indexes at once.
     */
    "indexes"?: Array<string>;
    /**
     * Name of the query for use in formulas.
     */
    "name": string;
    /**
     * Search options.
     */
    "search"?: FormulaAndFunctionEventQueryDefinitionSearch;
    /**
     * Option for storage location. Feature in Private Beta.
     */
    "storage"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
