/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { FormulaAndFunctionMetricAggregation } from "./FormulaAndFunctionMetricAggregation";
import { FormulaAndFunctionProcessQueryDataSource } from "./FormulaAndFunctionProcessQueryDataSource";
import { QuerySortOrder } from "./QuerySortOrder";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Process query using formulas and functions.
 */
export declare class FormulaAndFunctionProcessQueryDefinition {
    /**
     * The aggregation methods available for metrics queries.
     */
    "aggregator"?: FormulaAndFunctionMetricAggregation;
    /**
     * The source organization UUID for cross organization queries. Feature in Private Beta.
     */
    "crossOrgUuids"?: Array<string>;
    /**
     * Data sources that rely on the process backend.
     */
    "dataSource": FormulaAndFunctionProcessQueryDataSource;
    /**
     * Whether to normalize the CPU percentages.
     */
    "isNormalizedCpu"?: boolean;
    /**
     * Number of hits to return.
     */
    "limit"?: number;
    /**
     * Process metric name.
     */
    "metric": string;
    /**
     * Name of query for use in formulas.
     */
    "name": string;
    /**
     * Direction of sort.
     */
    "sort"?: QuerySortOrder;
    /**
     * An array of tags to filter by.
     */
    "tagFilters"?: Array<string>;
    /**
     * Text to use as filter.
     */
    "textFilter"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
