/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { HostMetaInstallMethod } from "./HostMetaInstallMethod";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Metadata associated with your host.
 */
export declare class HostMeta {
    /**
     * A list of Agent checks running on the host.
     */
    "agentChecks"?: Array<Array<any>>;
    /**
     * The Datadog Agent version.
     */
    "agentVersion"?: string;
    /**
     * The number of cores.
     */
    "cpuCores"?: number;
    /**
     * An array of Mac versions.
     */
    "fbsdV"?: Array<any>;
    /**
     * JSON string containing system information.
     */
    "gohai"?: string;
    /**
     * Agent install method.
     */
    "installMethod"?: HostMetaInstallMethod;
    /**
     * An array of Mac versions.
     */
    "macV"?: Array<any>;
    /**
     * The machine architecture.
     */
    "machine"?: string;
    /**
     * Array of Unix versions.
     */
    "nixV"?: Array<any>;
    /**
     * The OS platform.
     */
    "platform"?: string;
    /**
     * The processor.
     */
    "processor"?: string;
    /**
     * The Python version.
     */
    "pythonV"?: string;
    /**
     * The socket fqdn.
     */
    "socketFqdn"?: string;
    /**
     * The socket hostname.
     */
    "socketHostname"?: string;
    /**
     * An array of Windows versions.
     */
    "winV"?: Array<any>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
