/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { MetricsQueryMetadata } from "./MetricsQueryMetadata";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Response Object that includes your query and the list of metrics retrieved.
 */
export declare class MetricsQueryResponse {
    /**
     * Message indicating the errors if status is not `ok`.
     */
    "error"?: string;
    /**
     * Start of requested time window, milliseconds since Unix epoch.
     */
    "fromDate"?: number;
    /**
     * List of tag keys on which to group.
     */
    "groupBy"?: Array<string>;
    /**
     * Message indicating `success` if status is `ok`.
     */
    "message"?: string;
    /**
     * Query string
     */
    "query"?: string;
    /**
     * Type of response.
     */
    "resType"?: string;
    /**
     * List of timeseries queried.
     */
    "series"?: Array<MetricsQueryMetadata>;
    /**
     * Status of the query.
     */
    "status"?: string;
    /**
     * End of requested time window, milliseconds since Unix epoch.
     */
    "toDate"?: number;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
