/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Object containing the metric unit family, scale factor, name, and short name.
 */
export declare class MetricsQueryUnit {
    /**
     * Unit family, allows for conversion between units of the same family, for scaling.
     */
    "family"?: string;
    /**
     * Unit name
     */
    "name"?: string;
    /**
     * Plural form of the unit name.
     */
    "plural"?: string;
    /**
     * Factor for scaling between units of the same family.
     */
    "scaleFactor"?: number;
    /**
     * Abbreviation of the unit.
     */
    "shortName"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
