/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { MonitorGroupSearchResponseCounts } from "./MonitorGroupSearchResponseCounts";
import { MonitorGroupSearchResult } from "./MonitorGroupSearchResult";
import { MonitorSearchResponseMetadata } from "./MonitorSearchResponseMetadata";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The response of a monitor group search.
 */
export declare class MonitorGroupSearchResponse {
    /**
     * The counts of monitor groups per different criteria.
     */
    "counts"?: MonitorGroupSearchResponseCounts;
    /**
     * The list of found monitor groups.
     */
    "groups"?: Array<MonitorGroupSearchResult>;
    /**
     * Metadata about the response.
     */
    "metadata"?: MonitorSearchResponseMetadata;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
