/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Fields in Usage Summary by tag(s).
 */
export declare class MonthlyUsageAttributionValues {
    /**
     * The percentage of synthetic API test usage by tag(s).
     */
    "apiPercentage"?: number;
    /**
     * The synthetic API test usage by tag(s).
     */
    "apiUsage"?: number;
    /**
     * The percentage of APM ECS Fargate task usage by tag(s).
     */
    "apmFargatePercentage"?: number;
    /**
     * The APM ECS Fargate task usage by tag(s).
     */
    "apmFargateUsage"?: number;
    /**
     * The percentage of APM host usage by tag(s).
     */
    "apmHostPercentage"?: number;
    /**
     * The APM host usage by tag(s).
     */
    "apmHostUsage"?: number;
    /**
     * The percentage of APM and Universal Service Monitoring host usage by tag(s).
     */
    "apmUsmPercentage"?: number;
    /**
     * The APM and Universal Service Monitoring host usage by tag(s).
     */
    "apmUsmUsage"?: number;
    /**
     * The percentage of Application Security Monitoring ECS Fargate task usage by tag(s).
     */
    "appsecFargatePercentage"?: number;
    /**
     * The Application Security Monitoring ECS Fargate task usage by tag(s).
     */
    "appsecFargateUsage"?: number;
    /**
     * The percentage of Application Security Monitoring host usage by tag(s).
     */
    "appsecPercentage"?: number;
    /**
     * The Application Security Monitoring host usage by tag(s).
     */
    "appsecUsage"?: number;
    /**
     * The percentage of Application Security Monitoring Serverless traced invocations usage by tag(s).
     */
    "asmServerlessTracedInvocationsPercentage"?: number;
    /**
     * The Application Security Monitoring Serverless traced invocations usage by tag(s).
     */
    "asmServerlessTracedInvocationsUsage"?: number;
    /**
     * The percentage of synthetic browser test usage by tag(s).
     */
    "browserPercentage"?: number;
    /**
     * The synthetic browser test usage by tag(s).
     */
    "browserUsage"?: number;
    /**
     * The percentage of CI Pipeline Indexed Spans usage by tag(s).
     */
    "ciPipelineIndexedSpansPercentage"?: number;
    /**
     * The total CI Pipeline Indexed Spans usage by tag(s).
     */
    "ciPipelineIndexedSpansUsage"?: number;
    /**
     * The percentage of CI Test Indexed Spans usage by tag(s).
     */
    "ciTestIndexedSpansPercentage"?: number;
    /**
     * The total CI Test Indexed Spans usage by tag(s).
     */
    "ciTestIndexedSpansUsage"?: number;
    /**
     * The percentage of Git committers for Intelligent Test Runner usage by tag(s).
     */
    "ciVisibilityItrPercentage"?: number;
    /**
     * The Git committers for Intelligent Test Runner usage by tag(s).
     */
    "ciVisibilityItrUsage"?: number;
    /**
     * The percentage of Cloud Security Information and Event Management usage by tag(s).
     */
    "cloudSiemPercentage"?: number;
    /**
     * The Cloud Security Information and Event Management usage by tag(s).
     */
    "cloudSiemUsage"?: number;
    /**
     * The percentage of Code Security host usage by tags.
     */
    "codeSecurityHostPercentage"?: number;
    /**
     * The Code Security host usage by tags.
     */
    "codeSecurityHostUsage"?: number;
    /**
     * The percentage of container usage without the Datadog Agent by tag(s).
     */
    "containerExclAgentPercentage"?: number;
    /**
     * The container usage without the Datadog Agent by tag(s).
     */
    "containerExclAgentUsage"?: number;
    /**
     * The percentage of container usage by tag(s).
     */
    "containerPercentage"?: number;
    /**
     * The container usage by tag(s).
     */
    "containerUsage"?: number;
    /**
     * The percentage of Cloud Security Management Pro container usage by tag(s).
     */
    "cspmContainersPercentage"?: number;
    /**
     * The Cloud Security Management Pro container usage by tag(s).
     */
    "cspmContainersUsage"?: number;
    /**
     * The percentage of Cloud Security Management Pro host usage by tag(s).
     */
    "cspmHostsPercentage"?: number;
    /**
     * The Cloud Security Management Pro host usage by tag(s).
     */
    "cspmHostsUsage"?: number;
    /**
     * The percentage of Custom Events usage by tag(s).
     */
    "customEventPercentage"?: number;
    /**
     * The total Custom Events usage by tag(s).
     */
    "customEventUsage"?: number;
    /**
     * The percentage of ingested custom metrics usage by tag(s).
     */
    "customIngestedTimeseriesPercentage"?: number;
    /**
     * The ingested custom metrics usage by tag(s).
     */
    "customIngestedTimeseriesUsage"?: number;
    /**
     * The percentage of indexed custom metrics usage by tag(s).
     */
    "customTimeseriesPercentage"?: number;
    /**
     * The indexed custom metrics usage by tag(s).
     */
    "customTimeseriesUsage"?: number;
    /**
     * The percentage of Cloud Workload Security container usage by tag(s).
     */
    "cwsContainersPercentage"?: number;
    /**
     * The Cloud Workload Security container usage by tag(s).
     */
    "cwsContainersUsage"?: number;
    /**
     * The percentage of Cloud Workload Security Fargate task usage by tag(s).
     */
    "cwsFargateTaskPercentage"?: number;
    /**
     * The Cloud Workload Security Fargate task usage by tag(s).
     */
    "cwsFargateTaskUsage"?: number;
    /**
     * The percentage of Cloud Workload Security host usage by tag(s).
     */
    "cwsHostsPercentage"?: number;
    /**
     * The Cloud Workload Security host usage by tag(s).
     */
    "cwsHostsUsage"?: number;
    /**
     * The Data Jobs Monitoring usage by tag(s).
     */
    "dataJobsMonitoringUsage"?: number;
    /**
     * The Data Stream Monitoring usage by tag(s).
     */
    "dataStreamMonitoringUsage"?: number;
    /**
     * The percentage of Database Monitoring host usage by tag(s).
     */
    "dbmHostsPercentage"?: number;
    /**
     * The Database Monitoring host usage by tag(s).
     */
    "dbmHostsUsage"?: number;
    /**
     * The percentage of Database Monitoring queries usage by tag(s).
     */
    "dbmQueriesPercentage"?: number;
    /**
     * The Database Monitoring queries usage by tag(s).
     */
    "dbmQueriesUsage"?: number;
    /**
     * The percentage of error tracking events usage by tag(s).
     */
    "errorTrackingPercentage"?: number;
    /**
     * The error tracking events usage by tag(s).
     */
    "errorTrackingUsage"?: number;
    /**
     * The percentage of estimated indexed spans usage by tag(s).
     */
    "estimatedIndexedSpansPercentage"?: number;
    /**
     * The estimated indexed spans usage by tag(s).
     */
    "estimatedIndexedSpansUsage"?: number;
    /**
     * The percentage of estimated ingested spans usage by tag(s).
     */
    "estimatedIngestedSpansPercentage"?: number;
    /**
     * The estimated ingested spans usage by tag(s).
     */
    "estimatedIngestedSpansUsage"?: number;
    /**
     * The percentage of Fargate usage by tags.
     */
    "fargatePercentage"?: number;
    /**
     * The Fargate usage by tags.
     */
    "fargateUsage"?: number;
    /**
     * The percentage of Lambda function usage by tag(s).
     */
    "functionsPercentage"?: number;
    /**
     * The Lambda function usage by tag(s).
     */
    "functionsUsage"?: number;
    /**
     * The percentage of Incident Management monthly active users usage by tag(s).
     */
    "incidentManagementMonthlyActiveUsersPercentage"?: number;
    /**
     * The Incident Management monthly active users usage by tag(s).
     */
    "incidentManagementMonthlyActiveUsersUsage"?: number;
    /**
     * The percentage of APM Indexed Spans usage by tag(s).
     */
    "indexedSpansPercentage"?: number;
    /**
     * The total APM Indexed Spans usage by tag(s).
     */
    "indexedSpansUsage"?: number;
    /**
     * The percentage of infrastructure host usage by tag(s).
     */
    "infraHostPercentage"?: number;
    /**
     * The infrastructure host usage by tag(s).
     */
    "infraHostUsage"?: number;
    /**
     * The percentage of Ingested Logs usage by tag(s).
     */
    "ingestedLogsBytesPercentage"?: number;
    /**
     * The total Ingested Logs usage by tag(s).
     */
    "ingestedLogsBytesUsage"?: number;
    /**
     * The percentage of APM Ingested Spans usage by tag(s).
     */
    "ingestedSpansBytesPercentage"?: number;
    /**
     * The total APM Ingested Spans usage by tag(s).
     */
    "ingestedSpansBytesUsage"?: number;
    /**
     * The percentage of Lambda invocation usage by tag(s).
     */
    "invocationsPercentage"?: number;
    /**
     * The Lambda invocation usage by tag(s).
     */
    "invocationsUsage"?: number;
    /**
     * The percentage of Serverless APM usage by tag(s).
     */
    "lambdaTracedInvocationsPercentage"?: number;
    /**
     * The Serverless APM usage by tag(s).
     */
    "lambdaTracedInvocationsUsage"?: number;
    /**
     * The percentage of Indexed Logs (15-day Retention) usage by tag(s).
     */
    "logsIndexed15dayPercentage"?: number;
    /**
     * The total Indexed Logs (15-day Retention) usage by tag(s).
     */
    "logsIndexed15dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (180-day Retention) usage by tag(s).
     */
    "logsIndexed180dayPercentage"?: number;
    /**
     * The total Indexed Logs (180-day Retention) usage by tag(s).
     */
    "logsIndexed180dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (1-day Retention) usage by tag(s).
     */
    "logsIndexed1dayPercentage"?: number;
    /**
     * The total Indexed Logs (1-day Retention) usage by tag(s).
     */
    "logsIndexed1dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (30-day Retention) usage by tag(s).
     */
    "logsIndexed30dayPercentage"?: number;
    /**
     * The total Indexed Logs (30-day Retention) usage by tag(s).
     */
    "logsIndexed30dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (360-day Retention) usage by tag(s).
     */
    "logsIndexed360dayPercentage"?: number;
    /**
     * The total Indexed Logs (360-day Retention) usage by tag(s).
     */
    "logsIndexed360dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (3-day Retention) usage by tag(s).
     */
    "logsIndexed3dayPercentage"?: number;
    /**
     * The total Indexed Logs (3-day Retention) usage by tag(s).
     */
    "logsIndexed3dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (45-day Retention) usage by tag(s).
     */
    "logsIndexed45dayPercentage"?: number;
    /**
     * The total Indexed Logs (45-day Retention) usage by tag(s).
     */
    "logsIndexed45dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (60-day Retention) usage by tag(s).
     */
    "logsIndexed60dayPercentage"?: number;
    /**
     * The total Indexed Logs (60-day Retention) usage by tag(s).
     */
    "logsIndexed60dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (7-day Retention) usage by tag(s).
     */
    "logsIndexed7dayPercentage"?: number;
    /**
     * The total Indexed Logs (7-day Retention) usage by tag(s).
     */
    "logsIndexed7dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (90-day Retention) usage by tag(s).
     */
    "logsIndexed90dayPercentage"?: number;
    /**
     * The total Indexed Logs (90-day Retention) usage by tag(s).
     */
    "logsIndexed90dayUsage"?: number;
    /**
     * The percentage of Indexed Logs (Custom Retention) usage by tag(s).
     */
    "logsIndexedCustomRetentionPercentage"?: number;
    /**
     * The total Indexed Logs (Custom Retention) usage by tag(s).
     */
    "logsIndexedCustomRetentionUsage"?: number;
    /**
     * The percentage of Synthetic mobile application test usage by tag(s).
     */
    "mobileAppTestingPercentage"?: number;
    /**
     * The Synthetic mobile application test usage by tag(s).
     */
    "mobileAppTestingUsage"?: number;
    /**
     * The percentage of Network Device Monitoring NetFlow usage by tag(s).
     */
    "ndmNetflowPercentage"?: number;
    /**
     * The Network Device Monitoring NetFlow usage by tag(s).
     */
    "ndmNetflowUsage"?: number;
    /**
     * The percentage of network host usage by tag(s).
     */
    "npmHostPercentage"?: number;
    /**
     * The network host usage by tag(s).
     */
    "npmHostUsage"?: number;
    /**
     * The percentage of observability pipeline bytes usage by tag(s).
     */
    "obsPipelineBytesPercentage"?: number;
    /**
     * The observability pipeline bytes usage by tag(s).
     */
    "obsPipelineBytesUsage"?: number;
    /**
     * The percentage of observability pipeline per core usage by tag(s).
     */
    "obsPipelinesVcpuPercentage"?: number;
    /**
     * The observability pipeline per core usage by tag(s).
     */
    "obsPipelinesVcpuUsage"?: number;
    /**
     * The percentage of online archive usage by tag(s).
     */
    "onlineArchivePercentage"?: number;
    /**
     * The online archive usage by tag(s).
     */
    "onlineArchiveUsage"?: number;
    /**
     * The percentage of profiled container usage by tag(s).
     */
    "profiledContainerPercentage"?: number;
    /**
     * The profiled container usage by tag(s).
     */
    "profiledContainerUsage"?: number;
    /**
     * The percentage of profiled Fargate task usage by tag(s).
     */
    "profiledFargatePercentage"?: number;
    /**
     * The profiled Fargate task usage by tag(s).
     */
    "profiledFargateUsage"?: number;
    /**
     * The percentage of profiled hosts usage by tag(s).
     */
    "profiledHostPercentage"?: number;
    /**
     * The profiled hosts usage by tag(s).
     */
    "profiledHostUsage"?: number;
    /**
     * The percentage of RUM Browser and Mobile usage by tag(s).
     */
    "rumBrowserMobileSessionsPercentage"?: number;
    /**
     * The total RUM Browser and Mobile usage by tag(s).
     */
    "rumBrowserMobileSessionsUsage"?: number;
    /**
     * The percentage of RUM Session Replay usage by tag(s).
     */
    "rumReplaySessionsPercentage"?: number;
    /**
     * The total RUM Session Replay usage by tag(s).
     */
    "rumReplaySessionsUsage"?: number;
    /**
     * The percentage of Software Composition Analysis Fargate task usage by tag(s).
     */
    "scaFargatePercentage"?: number;
    /**
     * The total Software Composition Analysis Fargate task usage by tag(s).
     */
    "scaFargateUsage"?: number;
    /**
     * The percentage of Sensitive Data Scanner usage by tag(s).
     */
    "sdsScannedBytesPercentage"?: number;
    /**
     * The total Sensitive Data Scanner usage by tag(s).
     */
    "sdsScannedBytesUsage"?: number;
    /**
     * The percentage of Serverless Apps usage by tag(s).
     */
    "serverlessAppsPercentage"?: number;
    /**
     * The total Serverless Apps usage by tag(s).
     */
    "serverlessAppsUsage"?: number;
    /**
     * The percentage of log events analyzed by Cloud SIEM usage by tag(s).
     */
    "siemAnalyzedLogsAddOnPercentage"?: number;
    /**
     * The log events analyzed by Cloud SIEM usage by tag(s).
     */
    "siemAnalyzedLogsAddOnUsage"?: number;
    /**
     * The percentage of SIEM usage by tag(s).
     */
    "siemIngestedBytesPercentage"?: number;
    /**
     * The total SIEM usage by tag(s).
     */
    "siemIngestedBytesUsage"?: number;
    /**
     * The percentage of network device usage by tag(s).
     */
    "snmpPercentage"?: number;
    /**
     * The network device usage by tag(s).
     */
    "snmpUsage"?: number;
    /**
     * The percentage of universal service monitoring usage by tag(s).
     */
    "universalServiceMonitoringPercentage"?: number;
    /**
     * The universal service monitoring usage by tag(s).
     */
    "universalServiceMonitoringUsage"?: number;
    /**
     * The percentage of Application Vulnerability Management usage by tag(s).
     */
    "vulnManagementHostsPercentage"?: number;
    /**
     * The Application Vulnerability Management usage by tag(s).
     */
    "vulnManagementHostsUsage"?: number;
    /**
     * The percentage of workflow executions usage by tag(s).
     */
    "workflowExecutionsPercentage"?: number;
    /**
     * The total workflow executions usage by tag(s).
     */
    "workflowExecutionsUsage"?: number;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
