/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { NotebookCellResourceType } from "./NotebookCellResourceType";
import { NotebookCellResponseAttributes } from "./NotebookCellResponseAttributes";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The description of a notebook cell response.
 */
export declare class NotebookCellResponse {
    /**
     * The attributes of a notebook cell response. Valid cell types are `markdown`, `timeseries`, `toplist`, `heatmap`, `distribution`,
     * `log_stream`. [More information on each graph visualization type.](https://docs.datadoghq.com/dashboards/widgets/)
     */
    "attributes": NotebookCellResponseAttributes;
    /**
     * Notebook cell ID.
     */
    "id": string;
    /**
     * Type of the Notebook Cell resource.
     */
    "type": NotebookCellResourceType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
