/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { LogStreamWidgetDefinition } from "./LogStreamWidgetDefinition";
import { NotebookCellTime } from "./NotebookCellTime";
import { NotebookGraphSize } from "./NotebookGraphSize";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The attributes of a notebook `log_stream` cell.
 */
export declare class NotebookLogStreamCellAttributes {
    /**
     * The Log Stream displays a log flow matching the defined query. Only available on FREE layout dashboards.
     */
    "definition": LogStreamWidgetDefinition;
    /**
     * The size of the graph.
     */
    "graphSize"?: NotebookGraphSize;
    /**
     * Timeframe for the notebook cell. When 'null', the notebook global time is used.
     */
    "time"?: NotebookCellTime;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
