/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The object containing information about the pages of the list of SLOs.
 */
export declare class SLOListResponseMetadataPage {
    /**
     * The total number of resources that could be retrieved ignoring the parameters and filters in the request.
     */
    "totalCount"?: number;
    /**
     * The total number of resources that match the parameters and filters in the request. This attribute can be used by a client to determine the total number of pages.
     */
    "totalFilteredCount"?: number;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
