/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { SLOListWidgetDefinitionType } from "./SLOListWidgetDefinitionType";
import { SLOListWidgetRequest } from "./SLOListWidgetRequest";
import { WidgetTextAlign } from "./WidgetTextAlign";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Use the SLO List widget to track your SLOs (Service Level Objectives) on dashboards.
 */
export declare class SLOListWidgetDefinition {
    /**
     * Array of one request object to display in the widget.
     */
    "requests": [SLOListWidgetRequest];
    /**
     * Title of the widget.
     */
    "title"?: string;
    /**
     * How to align the text on the widget.
     */
    "titleAlign"?: WidgetTextAlign;
    /**
     * Size of the title.
     */
    "titleSize"?: string;
    /**
     * Type of the SLO List widget.
     */
    "type": SLOListWidgetDefinitionType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
