/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Attributes of the shared dashboard invitation
 */
export declare class SharedDashboardInvitesDataObjectAttributes {
    /**
     * When the invitation was sent.
     */
    "createdAt"?: Date;
    /**
     * An email address that an invitation has been (or if used in invitation request, will be) sent to.
     */
    "email"?: string;
    /**
     * Indicates whether an active session exists for the invitation (produced when a user clicks the link in the email).
     */
    "hasSession"?: boolean;
    /**
     * When the invitation expires.
     */
    "invitationExpiry"?: Date;
    /**
     * When the invited user's session expires. null if the invitation has no associated session.
     */
    "sessionExpiry"?: Date;
    /**
     * The unique token of the shared dashboard that was (or is to be) shared.
     */
    "shareToken"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
