/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { SyntheticsAPITestResultData } from "./SyntheticsAPITestResultData";
import { SyntheticsAPITestResultFullCheck } from "./SyntheticsAPITestResultFullCheck";
import { SyntheticsTestMonitorStatus } from "./SyntheticsTestMonitorStatus";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Object returned describing a API test result.
 */
export declare class SyntheticsAPITestResultFull {
    /**
     * Object describing the API test configuration.
     */
    "check"?: SyntheticsAPITestResultFullCheck;
    /**
     * When the API test was conducted.
     */
    "checkTime"?: number;
    /**
     * Version of the API test used.
     */
    "checkVersion"?: number;
    /**
     * Locations for which to query the API test results.
     */
    "probeDc"?: string;
    /**
     * Object containing results for your Synthetic API test.
     */
    "result"?: SyntheticsAPITestResultData;
    /**
     * ID of the API test result.
     */
    "resultId"?: string;
    /**
     * The status of your Synthetic monitor.
     * * `O` for not triggered
     * * `1` for triggered
     * * `2` for no data
     */
    "status"?: SyntheticsTestMonitorStatus;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
