/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { SyntheticsAssertionJavascriptType } from "./SyntheticsAssertionJavascriptType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A JavaScript assertion.
 */
export declare class SyntheticsAssertionJavascript {
    /**
     * The JavaScript code that performs the assertions.
     */
    "code": string;
    /**
     * Type of the assertion.
     */
    "type": SyntheticsAssertionJavascriptType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
