/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { SyntheticsBrowserTestResultData } from "./SyntheticsBrowserTestResultData";
import { SyntheticsBrowserTestResultFullCheck } from "./SyntheticsBrowserTestResultFullCheck";
import { SyntheticsTestMonitorStatus } from "./SyntheticsTestMonitorStatus";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Object returned describing a browser test result.
 */
export declare class SyntheticsBrowserTestResultFull {
    /**
     * Object describing the browser test configuration.
     */
    "check"?: SyntheticsBrowserTestResultFullCheck;
    /**
     * When the browser test was conducted.
     */
    "checkTime"?: number;
    /**
     * Version of the browser test used.
     */
    "checkVersion"?: number;
    /**
     * Location from which the browser test was performed.
     */
    "probeDc"?: string;
    /**
     * Object containing results for your Synthetic browser test.
     */
    "result"?: SyntheticsBrowserTestResultData;
    /**
     * ID of the browser test result.
     */
    "resultId"?: string;
    /**
     * The status of your Synthetic monitor.
     * * `O` for not triggered
     * * `1` for triggered
     * * `2` for no data
     */
    "status"?: SyntheticsTestMonitorStatus;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
