/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { UnparsedObject } from "../../datadog-api-client-common/util";
/**
 * Type of assertion to apply in an API test.
 */
export declare type SyntheticsCheckType = typeof EQUALS | typeof NOT_EQUALS | typeof CONTAINS | typeof NOT_CONTAINS | typeof STARTS_WITH | typeof NOT_STARTS_WITH | typeof GREATER | typeof LOWER | typeof GREATER_EQUALS | typeof LOWER_EQUALS | typeof MATCH_REGEX | typeof BETWEEN | typeof IS_EMPTY | typeof NOT_IS_EMPTY | UnparsedObject;
export declare const EQUALS = "equals";
export declare const NOT_EQUALS = "notEquals";
export declare const CONTAINS = "contains";
export declare const NOT_CONTAINS = "notContains";
export declare const STARTS_WITH = "startsWith";
export declare const NOT_STARTS_WITH = "notStartsWith";
export declare const GREATER = "greater";
export declare const LOWER = "lower";
export declare const GREATER_EQUALS = "greaterEquals";
export declare const LOWER_EQUALS = "lowerEquals";
export declare const MATCH_REGEX = "matchRegex";
export declare const BETWEEN = "between";
export declare const IS_EMPTY = "isEmpty";
export declare const NOT_IS_EMPTY = "notIsEmpty";
