/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { SyntheticsPrivateLocationSecretsAuthentication } from "./SyntheticsPrivateLocationSecretsAuthentication";
import { SyntheticsPrivateLocationSecretsConfigDecryption } from "./SyntheticsPrivateLocationSecretsConfigDecryption";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Secrets for the private location. Only present in the response when creating the private location.
 */
export declare class SyntheticsPrivateLocationSecrets {
    /**
     * Authentication part of the secrets.
     */
    "authentication"?: SyntheticsPrivateLocationSecretsAuthentication;
    /**
     * Private key for the private location.
     */
    "configDecryption"?: SyntheticsPrivateLocationSecretsConfigDecryption;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
