/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { UnparsedObject } from "../../datadog-api-client-common/util";
/**
 * Step type used in your Synthetic test.
 */
export declare type SyntheticsStepType = typeof ASSERT_CURRENT_URL | typeof ASSERT_ELEMENT_ATTRIBUTE | typeof ASSERT_ELEMENT_CONTENT | typeof ASSERT_ELEMENT_PRESENT | typeof ASSERT_EMAIL | typeof ASSERT_FILE_DOWNLOAD | typeof ASSERT_FROM_JAVASCRIPT | typeof ASSERT_PAGE_CONTAINS | typeof ASSERT_PAGE_LACKS | typeof ASSERT_REQUESTS | typeof CLICK | typeof EXTRACT_FROM_JAVASCRIPT | typeof EXTRACT_VARIABLE | typeof GO_TO_EMAIL_LINK | typeof GO_TO_URL | typeof GO_TO_URL_AND_MEASURE_TTI | typeof HOVER | typeof PLAY_SUB_TEST | typeof PRESS_KEY | typeof REFRESH | typeof RUN_API_TEST | typeof SCROLL | typeof SELECT_OPTION | typeof TYPE_TEXT | typeof UPLOAD_FILES | typeof WAIT | UnparsedObject;
export declare const ASSERT_CURRENT_URL = "assertCurrentUrl";
export declare const ASSERT_ELEMENT_ATTRIBUTE = "assertElementAttribute";
export declare const ASSERT_ELEMENT_CONTENT = "assertElementContent";
export declare const ASSERT_ELEMENT_PRESENT = "assertElementPresent";
export declare const ASSERT_EMAIL = "assertEmail";
export declare const ASSERT_FILE_DOWNLOAD = "assertFileDownload";
export declare const ASSERT_FROM_JAVASCRIPT = "assertFromJavascript";
export declare const ASSERT_PAGE_CONTAINS = "assertPageContains";
export declare const ASSERT_PAGE_LACKS = "assertPageLacks";
export declare const ASSERT_REQUESTS = "assertRequests";
export declare const CLICK = "click";
export declare const EXTRACT_FROM_JAVASCRIPT = "extractFromJavascript";
export declare const EXTRACT_VARIABLE = "extractVariable";
export declare const GO_TO_EMAIL_LINK = "goToEmailLink";
export declare const GO_TO_URL = "goToUrl";
export declare const GO_TO_URL_AND_MEASURE_TTI = "goToUrlAndMeasureTti";
export declare const HOVER = "hover";
export declare const PLAY_SUB_TEST = "playSubTest";
export declare const PRESS_KEY = "pressKey";
export declare const REFRESH = "refresh";
export declare const RUN_API_TEST = "runApiTest";
export declare const SCROLL = "scroll";
export declare const SELECT_OPTION = "selectOption";
export declare const TYPE_TEXT = "typeText";
export declare const UPLOAD_FILES = "uploadFiles";
export declare const WAIT = "wait";
