/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Cloud Security Management Pro usage for a given organization for a given hour.
 */
export declare class UsageCloudSecurityPostureManagementHour {
    /**
     * The number of Cloud Security Management Pro Azure app services hosts during a given hour.
     */
    "aasHostCount"?: number;
    /**
     * The number of Cloud Security Management Pro AWS hosts during a given hour.
     */
    "awsHostCount"?: number;
    /**
     * The number of Cloud Security Management Pro Azure hosts during a given hour.
     */
    "azureHostCount"?: number;
    /**
     * The number of Cloud Security Management Pro hosts during a given hour.
     */
    "complianceHostCount"?: number;
    /**
     * The total number of Cloud Security Management Pro containers during a given hour.
     */
    "containerCount"?: number;
    /**
     * The number of Cloud Security Management Pro GCP hosts during a given hour.
     */
    "gcpHostCount"?: number;
    /**
     * The total number of Cloud Security Management Pro hosts during a given hour.
     */
    "hostCount"?: number;
    /**
     * The hour for the usage.
     */
    "hour"?: Date;
    /**
     * The organization name.
     */
    "orgName"?: string;
    /**
     * The organization public ID.
     */
    "publicId"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
