/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { UsageIndexedSpansHour } from "./UsageIndexedSpansHour";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A response containing indexed spans usage.
 */
export declare class UsageIndexedSpansResponse {
    /**
     * Array with the number of hourly traces indexed for a given organization.
     */
    "usage"?: Array<UsageIndexedSpansHour>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
