/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Number of RUM sessions recorded for each hour for a given organization.
 */
export declare class UsageRumSessionsHour {
    /**
     * The hour for the usage.
     */
    "hour"?: Date;
    /**
     * The organization name.
     */
    "orgName"?: string;
    /**
     * The organization public ID.
     */
    "publicId"?: string;
    /**
     * Contains the number of RUM Session Replay counts (data available beginning November 1, 2021).
     */
    "replaySessionCount"?: number;
    /**
     * Contains the number of browser RUM lite Sessions.
     */
    "sessionCount"?: number;
    /**
     * Contains the number of mobile RUM sessions on Android (data available beginning December 1, 2020).
     */
    "sessionCountAndroid"?: number;
    /**
     * Contains the number of mobile RUM sessions on Flutter (data available beginning March 1, 2023).
     */
    "sessionCountFlutter"?: number;
    /**
     * Contains the number of mobile RUM sessions on iOS (data available beginning December 1, 2020).
     */
    "sessionCountIos"?: number;
    /**
     * Contains the number of mobile RUM sessions on React Native (data available beginning May 1, 2022).
     */
    "sessionCountReactnative"?: number;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
