/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { UsageReportsType } from "./UsageReportsType";
import { UsageSpecifiedCustomReportsAttributes } from "./UsageSpecifiedCustomReportsAttributes";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Response containing date and type for specified custom reports.
 */
export declare class UsageSpecifiedCustomReportsData {
    /**
     * The response containing attributes for specified custom reports.
     */
    "attributes"?: UsageSpecifiedCustomReportsAttributes;
    /**
     * The date for specified custom reports.
     */
    "id"?: string;
    /**
     * The type of reports.
     */
    "type"?: UsageReportsType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
