/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { GroupType } from "./GroupType";
import { WidgetSort } from "./WidgetSort";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The group to sort the widget by.
 */
export declare class WidgetGroupSort {
    /**
     * The name of the group.
     */
    "name": string;
    /**
     * Widget sorting methods.
     */
    "order": WidgetSort;
    /**
     * Set the sort type to group.
     */
    "type": GroupType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
