/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { UnparsedObject } from "../../datadog-api-client-common/util";
/**
 * How to size the image on the widget. The values are based on the image `object-fit` CSS properties.
 * **Note**: `zoom`, `fit` and `center` values are deprecated.
 */
export declare type WidgetImageSizing = typeof FILL | typeof CONTAIN | typeof COVER | typeof NONE | typeof SCALEDOWN | typeof ZOOM | typeof FIT | typeof CENTER | UnparsedObject;
export declare const FILL = "fill";
export declare const CONTAIN = "contain";
export declare const COVER = "cover";
export declare const NONE = "none";
export declare const SCALEDOWN = "scale-down";
export declare const ZOOM = "zoom";
export declare const FIT = "fit";
export declare const CENTER = "center";
