/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { ApplicationKeysType } from "./ApplicationKeysType";
import { ApplicationKeyUpdateAttributes } from "./ApplicationKeyUpdateAttributes";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Object used to update an application key.
 */
export declare class ApplicationKeyUpdateData {
    /**
     * Attributes used to update an application Key.
     */
    "attributes": ApplicationKeyUpdateAttributes;
    /**
     * ID of the application key.
     */
    "id": string;
    /**
     * Application Keys resource type.
     */
    "type": ApplicationKeysType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
