/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { ApplicationSecurityWafCustomRuleConditionInput } from "./ApplicationSecurityWafCustomRuleConditionInput";
import { ApplicationSecurityWafCustomRuleConditionOptions } from "./ApplicationSecurityWafCustomRuleConditionOptions";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The scope of the WAF custom rule.
 */
export declare class ApplicationSecurityWafCustomRuleConditionParameters {
    /**
     * Identifier of a list of data from the denylist. Can only be used as substitution from the list parameter.
     */
    "data"?: string;
    /**
     * List of inputs on which at least one should match with the given operator.
     */
    "inputs": Array<ApplicationSecurityWafCustomRuleConditionInput>;
    /**
     * List of value to use with the condition. Only used with the phrase_match, !phrase_match, exact_match and
     * !exact_match operator.
     */
    "list"?: Array<string>;
    /**
     * Options for the operator of this condition.
     */
    "options"?: ApplicationSecurityWafCustomRuleConditionOptions;
    /**
     * Regex to use with the condition. Only used with match_regex and !match_regex operator.
     */
    "regex"?: string;
    /**
     * Store the captured value in the specified tag name. Only used with the capture_data operator.
     */
    "value"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
