/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { ChargebackBreakdown } from "./ChargebackBreakdown";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Cost attributes data.
 */
export declare class CostByOrgAttributes {
    /**
     * The account name.
     */
    "accountName"?: string;
    /**
     * The account public ID.
     */
    "accountPublicId"?: string;
    /**
     * List of charges data reported for the requested month.
     */
    "charges"?: Array<ChargebackBreakdown>;
    /**
     * The month requested.
     */
    "date"?: Date;
    /**
     * The organization name.
     */
    "orgName"?: string;
    /**
     * The organization public ID.
     */
    "publicId"?: string;
    /**
     * The region of the Datadog instance that the organization belongs to.
     */
    "region"?: string;
    /**
     * The total cost of products for the month.
     */
    "totalCost"?: number;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
