/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { RuleAttributes } from "./RuleAttributes";
import { RuleType } from "./RuleType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Scorecard create rule request data.
 */
export declare class CreateRuleRequestData {
    /**
     * Details of a rule.
     */
    "attributes"?: RuleAttributes;
    /**
     * The JSON:API type for scorecard rules.
     */
    "type"?: RuleType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
