/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Attributes to get a list of failures.
 */
export declare class DORAListFailuresRequestAttributes {
    /**
     * Minimum timestamp for requested events.
     */
    "from"?: Date;
    /**
     * Maximum number of events in the response.
     */
    "limit"?: number;
    /**
     * Search query with event platform syntax.
     */
    "query"?: string;
    /**
     * Sort order (prefixed with `-` for descending).
     */
    "sort"?: string;
    /**
     * Maximum timestamp for requested events.
     */
    "to"?: Date;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
