/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { EscalationPolicyUpdateRequestData } from "./EscalationPolicyUpdateRequestData";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Represents a request to update an existing escalation policy, including the updated policy data.
 */
export declare class EscalationPolicyUpdateRequest {
    /**
     * Represents the data for updating an existing escalation policy, including its ID, attributes, relationships, and resource type.
     */
    "data": EscalationPolicyUpdateRequestData;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
