/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { UnparsedObject } from "../../datadog-api-client-common/util";
/**
 * If an alert event is enabled, its status is one of the following:
 * `failure`, `error`, `warning`, `info`, `success`, `user_update`,
 * `recommendation`, or `snapshot`.
 */
export declare type EventStatusType = typeof FAILURE | typeof ERROR | typeof WARNING | typeof INFO | typeof SUCCESS | typeof USER_UPDATE | typeof RECOMMENDATION | typeof SNAPSHOT | UnparsedObject;
export declare const FAILURE = "failure";
export declare const ERROR = "error";
export declare const WARNING = "warning";
export declare const INFO = "info";
export declare const SUCCESS = "success";
export declare const USER_UPDATE = "user_update";
export declare const RECOMMENDATION = "recommendation";
export declare const SNAPSHOT = "snapshot";
