/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { EventsAggregation } from "./EventsAggregation";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The instructions for what to compute for this query.
 */
export declare class EventsCompute {
    /**
     * The type of aggregation that can be performed on events-based queries.
     */
    "aggregation": EventsAggregation;
    /**
     * Interval for compute in milliseconds.
     */
    "interval"?: number;
    /**
     * The "measure" attribute on which to perform the computation.
     */
    "metric"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
