"use strict";
/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FastlyService = void 0;
/**
 * The schema representation of a Fastly service.
 */
class FastlyService {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return FastlyService.attributeTypeMap;
    }
}
exports.FastlyService = FastlyService;
/**
 * @ignore
 */
FastlyService.attributeTypeMap = {
    id: {
        baseName: "id",
        type: "string",
        required: true,
    },
    tags: {
        baseName: "tags",
        type: "Array<string>",
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=FastlyService.js.map