/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Attributes of a full application key.
 */
export declare class FullApplicationKeyAttributes {
    /**
     * Creation date of the application key.
     */
    "createdAt"?: Date;
    /**
     * The application key.
     */
    "key"?: string;
    /**
     * The last four characters of the application key.
     */
    "last4"?: string;
    /**
     * Name of the application key.
     */
    "name"?: string;
    /**
     * Array of scopes to grant the application key.
     */
    "scopes"?: Array<string>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
