/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { GetDeviceAttributes } from "./GetDeviceAttributes";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Get device response data.
 */
export declare class GetDeviceData {
    /**
     * The device attributes
     */
    "attributes"?: GetDeviceAttributes;
    /**
     * The device ID
     */
    "id"?: string;
    /**
     * The type of the resource. The value should always be device.
     */
    "type"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
