/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { HTTPBody } from "./HTTPBody";
import { HTTPHeaderUpdate } from "./HTTPHeaderUpdate";
import { HTTPTokenAuthType } from "./HTTPTokenAuthType";
import { HTTPTokenUpdate } from "./HTTPTokenUpdate";
import { UrlParamUpdate } from "./UrlParamUpdate";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The definition of `HTTPTokenAuthUpdate` object.
 */
export declare class HTTPTokenAuthUpdate {
    /**
     * The definition of `HTTPBody` object.
     */
    "body"?: HTTPBody;
    /**
     * The `HTTPTokenAuthUpdate` `headers`.
     */
    "headers"?: Array<HTTPHeaderUpdate>;
    /**
     * The `HTTPTokenAuthUpdate` `tokens`.
     */
    "tokens"?: Array<HTTPTokenUpdate>;
    /**
     * The definition of `HTTPTokenAuthType` object.
     */
    "type": HTTPTokenAuthType;
    /**
     * The `HTTPTokenAuthUpdate` `url_parameters`.
     */
    "urlParameters"?: Array<UrlParamUpdate>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
