/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { HistoricalJobDataType } from "./HistoricalJobDataType";
import { HistoricalJobResponseAttributes } from "./HistoricalJobResponseAttributes";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Historical job response data.
 */
export declare class HistoricalJobResponseData {
    /**
     * Historical job attributes.
     */
    "attributes"?: HistoricalJobResponseAttributes;
    /**
     * ID of the job.
     */
    "id"?: string;
    /**
     * Type of payload.
     */
    "type"?: HistoricalJobDataType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
