/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { IncidentAttachmentData } from "./IncidentAttachmentData";
import { IncidentAttachmentsResponseIncludedItem } from "./IncidentAttachmentsResponseIncludedItem";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The response object containing the created or updated incident attachments.
 */
export declare class IncidentAttachmentUpdateResponse {
    /**
     * An array of incident attachments. Only the attachments that were created or updated by the request are
     * returned.
     */
    "data": Array<IncidentAttachmentData>;
    /**
     * Included related resources that the user requested.
     */
    "included"?: Array<IncidentAttachmentsResponseIncludedItem>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
