/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { IncidentServiceCreateAttributes } from "./IncidentServiceCreateAttributes";
import { IncidentServiceRelationships } from "./IncidentServiceRelationships";
import { IncidentServiceType } from "./IncidentServiceType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Incident Service payload for create requests.
 */
export declare class IncidentServiceCreateData {
    /**
     * The incident service's attributes for a create request.
     */
    "attributes"?: IncidentServiceCreateAttributes;
    /**
     * The incident service's relationships.
     */
    "relationships"?: IncidentServiceRelationships;
    /**
     * Incident service resource type.
     */
    "type": IncidentServiceType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
