/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { LayerRelationshipsMembersDataItems } from "./LayerRelationshipsMembersDataItems";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Holds an array of references to the members of a Layer, each containing member IDs.
 */
export declare class LayerRelationshipsMembers {
    /**
     * The list of members who belong to this layer.
     */
    "data"?: Array<LayerRelationshipsMembersDataItems>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
