/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { LeakedKeyAttributes } from "./LeakedKeyAttributes";
import { LeakedKeyType } from "./LeakedKeyType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The definition of LeakedKey object.
 */
export declare class LeakedKey {
    /**
     * The definition of LeakedKeyAttributes object.
     */
    "attributes": LeakedKeyAttributes;
    /**
     * The LeakedKey id.
     */
    "id": string;
    /**
     * The definition of LeakedKeyType object.
     */
    "type": LeakedKeyType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
