/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { LogAttributes } from "./LogAttributes";
import { LogType } from "./LogType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Object description of a log after being processed and stored by Datadog.
 */
export declare class Log {
    /**
     * JSON object containing all log attributes and their associated values.
     */
    "attributes"?: LogAttributes;
    /**
     * Unique ID of the Log.
     */
    "id"?: string;
    /**
     * Type of the event.
     */
    "type"?: LogType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
