/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { LogsArchiveOrderAttributes } from "./LogsArchiveOrderAttributes";
import { LogsArchiveOrderDefinitionType } from "./LogsArchiveOrderDefinitionType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The definition of an archive order.
 */
export declare class LogsArchiveOrderDefinition {
    /**
     * The attributes associated with the archive order.
     */
    "attributes": LogsArchiveOrderAttributes;
    /**
     * Type of the archive order definition.
     */
    "type": LogsArchiveOrderDefinitionType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
