/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { LogsMetricFilter } from "./LogsMetricFilter";
import { LogsMetricGroupBy } from "./LogsMetricGroupBy";
import { LogsMetricUpdateCompute } from "./LogsMetricUpdateCompute";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The log-based metric properties that will be updated.
 */
export declare class LogsMetricUpdateAttributes {
    /**
     * The compute rule to compute the log-based metric.
     */
    "compute"?: LogsMetricUpdateCompute;
    /**
     * The log-based metric filter. Logs matching this filter will be aggregated in this metric.
     */
    "filter"?: LogsMetricFilter;
    /**
     * The rules for the group by.
     */
    "groupBy"?: Array<LogsMetricGroupBy>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
