/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { MetricAssetMonitorRelationship } from "./MetricAssetMonitorRelationship";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A object containing the list of monitors that can be referenced in the `included` data.
 */
export declare class MetricAssetMonitorRelationships {
    /**
     * A list of monitors that can be referenced in the `included` data.
     */
    "data"?: Array<MetricAssetMonitorRelationship>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
