/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Optional attributes for the status of a bulk tag configuration request.
 */
export declare class MetricBulkTagConfigStatusAttributes {
    /**
     * A list of account emails to notify when the configuration is applied.
     */
    "emails"?: Array<string>;
    /**
     * When set to true, the configuration will exclude the configured tags and include any other submitted tags.
     * When set to false, the configuration will include the configured tags and exclude any other submitted tags.
     */
    "excludeTagsMode"?: boolean;
    /**
     * The status of the request.
     */
    "status"?: string;
    /**
     * A list of tag names to apply to the configuration.
     */
    "tags"?: Array<string>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
