/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { MetricTagConfigurationCreateData } from "./MetricTagConfigurationCreateData";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Request object that includes the metric that you would like to configure tags for.
 */
export declare class MetricTagConfigurationCreateRequest {
    /**
     * Object for a single metric to be configure tags on.
     */
    "data": MetricTagConfigurationCreateData;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
