"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObservabilityPipelineAddFieldsProcessor = void 0;
/**
 * The `add_fields` processor adds static key-value fields to logs.
 */
class ObservabilityPipelineAddFieldsProcessor {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return ObservabilityPipelineAddFieldsProcessor.attributeTypeMap;
    }
}
exports.ObservabilityPipelineAddFieldsProcessor = ObservabilityPipelineAddFieldsProcessor;
/**
 * @ignore
 */
ObservabilityPipelineAddFieldsProcessor.attributeTypeMap = {
    fields: {
        baseName: "fields",
        type: "Array<ObservabilityPipelineFieldValue>",
        required: true,
    },
    id: {
        baseName: "id",
        type: "string",
        required: true,
    },
    include: {
        baseName: "include",
        type: "string",
        required: true,
    },
    inputs: {
        baseName: "inputs",
        type: "Array<string>",
        required: true,
    },
    type: {
        baseName: "type",
        type: "ObservabilityPipelineAddFieldsProcessorType",
        required: true,
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=ObservabilityPipelineAddFieldsProcessor.js.map