"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObservabilityPipelineDedupeProcessor = void 0;
/**
 * The `dedupe` processor removes duplicate fields in log events.
 */
class ObservabilityPipelineDedupeProcessor {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return ObservabilityPipelineDedupeProcessor.attributeTypeMap;
    }
}
exports.ObservabilityPipelineDedupeProcessor = ObservabilityPipelineDedupeProcessor;
/**
 * @ignore
 */
ObservabilityPipelineDedupeProcessor.attributeTypeMap = {
    fields: {
        baseName: "fields",
        type: "Array<string>",
        required: true,
    },
    id: {
        baseName: "id",
        type: "string",
        required: true,
    },
    include: {
        baseName: "include",
        type: "string",
        required: true,
    },
    inputs: {
        baseName: "inputs",
        type: "Array<string>",
        required: true,
    },
    mode: {
        baseName: "mode",
        type: "ObservabilityPipelineDedupeProcessorMode",
        required: true,
    },
    type: {
        baseName: "type",
        type: "ObservabilityPipelineDedupeProcessorType",
        required: true,
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=ObservabilityPipelineDedupeProcessor.js.map