/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { ObservabilityPipelineElasticsearchDestinationApiVersion } from "./ObservabilityPipelineElasticsearchDestinationApiVersion";
import { ObservabilityPipelineElasticsearchDestinationType } from "./ObservabilityPipelineElasticsearchDestinationType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The `elasticsearch` destination writes logs to an Elasticsearch cluster.
 */
export declare class ObservabilityPipelineElasticsearchDestination {
    /**
     * The Elasticsearch API version to use. Set to `auto` to auto-detect.
     */
    "apiVersion"?: ObservabilityPipelineElasticsearchDestinationApiVersion;
    /**
     * The index to write logs to in Elasticsearch.
     */
    "bulkIndex"?: string;
    /**
     * The unique identifier for this component.
     */
    "id": string;
    /**
     * A list of component IDs whose output is used as the `input` for this component.
     */
    "inputs": Array<string>;
    /**
     * The destination type. The value should always be `elasticsearch`.
     */
    "type": ObservabilityPipelineElasticsearchDestinationType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
