"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObservabilityPipelineEnrichmentTableProcessor = void 0;
/**
 * The `enrichment_table` processor enriches logs using a static CSV file or GeoIP database.
 */
class ObservabilityPipelineEnrichmentTableProcessor {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return ObservabilityPipelineEnrichmentTableProcessor.attributeTypeMap;
    }
}
exports.ObservabilityPipelineEnrichmentTableProcessor = ObservabilityPipelineEnrichmentTableProcessor;
/**
 * @ignore
 */
ObservabilityPipelineEnrichmentTableProcessor.attributeTypeMap = {
    file: {
        baseName: "file",
        type: "ObservabilityPipelineEnrichmentTableFile",
    },
    geoip: {
        baseName: "geoip",
        type: "ObservabilityPipelineEnrichmentTableGeoIp",
    },
    id: {
        baseName: "id",
        type: "string",
        required: true,
    },
    include: {
        baseName: "include",
        type: "string",
        required: true,
    },
    inputs: {
        baseName: "inputs",
        type: "Array<string>",
        required: true,
    },
    target: {
        baseName: "target",
        type: "string",
        required: true,
    },
    type: {
        baseName: "type",
        type: "ObservabilityPipelineEnrichmentTableProcessorType",
        required: true,
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=ObservabilityPipelineEnrichmentTableProcessor.js.map