"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObservabilityPipelineKafkaSource = void 0;
/**
 * The `kafka` source ingests data from Apache Kafka topics.
 */
class ObservabilityPipelineKafkaSource {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return ObservabilityPipelineKafkaSource.attributeTypeMap;
    }
}
exports.ObservabilityPipelineKafkaSource = ObservabilityPipelineKafkaSource;
/**
 * @ignore
 */
ObservabilityPipelineKafkaSource.attributeTypeMap = {
    groupId: {
        baseName: "group_id",
        type: "string",
        required: true,
    },
    id: {
        baseName: "id",
        type: "string",
        required: true,
    },
    librdkafkaOptions: {
        baseName: "librdkafka_options",
        type: "Array<ObservabilityPipelineKafkaSourceLibrdkafkaOption>",
    },
    sasl: {
        baseName: "sasl",
        type: "ObservabilityPipelineKafkaSourceSasl",
    },
    tls: {
        baseName: "tls",
        type: "ObservabilityPipelineTls",
    },
    topics: {
        baseName: "topics",
        type: "Array<string>",
        required: true,
    },
    type: {
        baseName: "type",
        type: "ObservabilityPipelineKafkaSourceType",
        required: true,
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=ObservabilityPipelineKafkaSource.js.map