"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObservabilityPipelineParseJSONProcessor = void 0;
/**
 * The `parse_json` processor extracts JSON from a specified field and flattens it into the event. This is useful when logs contain embedded JSON as a string.
 */
class ObservabilityPipelineParseJSONProcessor {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return ObservabilityPipelineParseJSONProcessor.attributeTypeMap;
    }
}
exports.ObservabilityPipelineParseJSONProcessor = ObservabilityPipelineParseJSONProcessor;
/**
 * @ignore
 */
ObservabilityPipelineParseJSONProcessor.attributeTypeMap = {
    field: {
        baseName: "field",
        type: "string",
        required: true,
    },
    id: {
        baseName: "id",
        type: "string",
        required: true,
    },
    include: {
        baseName: "include",
        type: "string",
        required: true,
    },
    inputs: {
        baseName: "inputs",
        type: "Array<string>",
        required: true,
    },
    type: {
        baseName: "type",
        type: "ObservabilityPipelineParseJSONProcessorType",
        required: true,
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=ObservabilityPipelineParseJSONProcessor.js.map