/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { ObservabilityPipelineRemoveFieldsProcessorType } from "./ObservabilityPipelineRemoveFieldsProcessorType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The `remove_fields` processor deletes specified fields from logs.
 */
export declare class ObservabilityPipelineRemoveFieldsProcessor {
    /**
     * A list of field names to be removed from each log event.
     */
    "fields": Array<string>;
    /**
     * The unique identifier for this component. Used to reference this component in other parts of the pipeline (e.g., as input to downstream components).
     */
    "id": string;
    /**
     * A Datadog search query used to determine which logs this processor targets.
     */
    "include": string;
    /**
     * The `PipelineRemoveFieldsProcessor` `inputs`.
     */
    "inputs": Array<string>;
    /**
     * The processor type. The value should always be `remove_fields`.
     */
    "type": ObservabilityPipelineRemoveFieldsProcessorType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
