/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Defines how to rename a field in log events.
 */
export declare class ObservabilityPipelineRenameFieldsProcessorField {
    /**
     * The field name to assign the renamed value to.
     */
    "destination": string;
    /**
     * Indicates whether the original field, that is received from the source, should be kept (`true`) or removed (`false`) after renaming.
     */
    "preserveSource": boolean;
    /**
     * The original field name in the log event that should be renamed.
     */
    "source": string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
