"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObservabilityPipelineRsyslogDestination = void 0;
/**
 * The `rsyslog` destination forwards logs to an external `rsyslog` server over TCP or UDP using the syslog protocol.
 */
class ObservabilityPipelineRsyslogDestination {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return ObservabilityPipelineRsyslogDestination.attributeTypeMap;
    }
}
exports.ObservabilityPipelineRsyslogDestination = ObservabilityPipelineRsyslogDestination;
/**
 * @ignore
 */
ObservabilityPipelineRsyslogDestination.attributeTypeMap = {
    id: {
        baseName: "id",
        type: "string",
        required: true,
    },
    inputs: {
        baseName: "inputs",
        type: "Array<string>",
        required: true,
    },
    keepalive: {
        baseName: "keepalive",
        type: "number",
        format: "int64",
    },
    tls: {
        baseName: "tls",
        type: "ObservabilityPipelineTls",
    },
    type: {
        baseName: "type",
        type: "ObservabilityPipelineRsyslogDestinationType",
        required: true,
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=ObservabilityPipelineRsyslogDestination.js.map