"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObservabilityPipelineSensitiveDataScannerProcessor = void 0;
/**
 * The `sensitive_data_scanner` processor detects and optionally redacts sensitive data in log events.
 */
class ObservabilityPipelineSensitiveDataScannerProcessor {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return ObservabilityPipelineSensitiveDataScannerProcessor.attributeTypeMap;
    }
}
exports.ObservabilityPipelineSensitiveDataScannerProcessor = ObservabilityPipelineSensitiveDataScannerProcessor;
/**
 * @ignore
 */
ObservabilityPipelineSensitiveDataScannerProcessor.attributeTypeMap = {
    id: {
        baseName: "id",
        type: "string",
        required: true,
    },
    include: {
        baseName: "include",
        type: "string",
        required: true,
    },
    inputs: {
        baseName: "inputs",
        type: "Array<string>",
        required: true,
    },
    rules: {
        baseName: "rules",
        type: "Array<ObservabilityPipelineSensitiveDataScannerProcessorRule>",
        required: true,
    },
    type: {
        baseName: "type",
        type: "ObservabilityPipelineSensitiveDataScannerProcessorType",
        required: true,
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=ObservabilityPipelineSensitiveDataScannerProcessor.js.map