/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { ObservabilityPipelineSensitiveDataScannerProcessorActionPartialRedactOptionsDirection } from "./ObservabilityPipelineSensitiveDataScannerProcessorActionPartialRedactOptionsDirection";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Controls how partial redaction is applied, including character count and direction.
 */
export declare class ObservabilityPipelineSensitiveDataScannerProcessorActionPartialRedactOptions {
    /**
     * The `ObservabilityPipelineSensitiveDataScannerProcessorActionPartialRedactOptions` `characters`.
     */
    "characters": number;
    /**
     * Indicates whether to redact characters from the first or last part of the matched value.
     */
    "direction": ObservabilityPipelineSensitiveDataScannerProcessorActionPartialRedactOptionsDirection;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
