/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Configuration for enabling TLS encryption between the pipeline component and external services.
 */
export declare class ObservabilityPipelineTls {
    /**
     * Path to the Certificate Authority (CA) file used to validate the server’s TLS certificate.
     */
    "caFile"?: string;
    /**
     * Path to the TLS client certificate file used to authenticate the pipeline component with upstream or downstream services.
     */
    "crtFile": string;
    /**
     * Path to the private key file associated with the TLS client certificate. Used for mutual TLS authentication.
     */
    "keyFile"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
