"use strict";
/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenAPIFile = void 0;
/**
 * Object for API data in an `OpenAPI` format as a file.
 */
class OpenAPIFile {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return OpenAPIFile.attributeTypeMap;
    }
}
exports.OpenAPIFile = OpenAPIFile;
/**
 * @ignore
 */
OpenAPIFile.attributeTypeMap = {
    openapiSpecFile: {
        baseName: "openapi_spec_file",
        type: "HttpFile",
        format: "binary",
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=OpenAPIFile.js.map