/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { OrgConfigReadAttributes } from "./OrgConfigReadAttributes";
import { OrgConfigType } from "./OrgConfigType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A single Org Config.
 */
export declare class OrgConfigRead {
    /**
     * Readable attributes of an Org Config.
     */
    "attributes": OrgConfigReadAttributes;
    /**
     * A unique identifier for an Org Config.
     */
    "id": string;
    /**
     * Data type of an Org Config.
     */
    "type": OrgConfigType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
