/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { PatchNotificationRuleParametersData } from "./PatchNotificationRuleParametersData";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Body of the notification rule patch request.
 */
export declare class PatchNotificationRuleParameters {
    /**
     * Data of the notification rule patch request: the rule ID, the rule type, and the rule attributes. All fields are required.
     */
    "data"?: PatchNotificationRuleParametersData;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
