/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Powerpack template variables.
 */
export declare class PowerpackTemplateVariable {
    /**
     * The list of values that the template variable drop-down is limited to.
     */
    "availableValues"?: Array<string>;
    /**
     * One or many template variable default values within the saved view, which are unioned together using `OR` if more than one is specified.
     */
    "defaults"?: Array<string>;
    /**
     * The name of the variable.
     */
    "name": string;
    /**
     * The tag prefix associated with the variable. Only tags with this prefix appear in the variable drop-down.
     */
    "prefix"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
