/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { RUMApplicationAttributes } from "./RUMApplicationAttributes";
import { RUMApplicationType } from "./RUMApplicationType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * RUM application.
 */
export declare class RUMApplication {
    /**
     * RUM application attributes.
     */
    "attributes": RUMApplicationAttributes;
    /**
     * RUM application ID.
     */
    "id": string;
    /**
     * RUM application response type.
     */
    "type": RUMApplicationType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
