/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { UserTeamUserType } from "./UserTeamUserType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A user's relationship with a team
 */
export declare class RelationshipToUserTeamUserData {
    /**
     * The ID of the user associated with the team
     */
    "id": string;
    /**
     * User team user type
     */
    "type": UserTeamUserType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
