/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { ApmRetentionFilterType } from "./ApmRetentionFilterType";
import { RetentionFilterAllAttributes } from "./RetentionFilterAllAttributes";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The definition of the retention filter.
 */
export declare class RetentionFilterAll {
    /**
     * The attributes of the retention filter.
     */
    "attributes": RetentionFilterAllAttributes;
    /**
     * The ID of the retention filter.
     */
    "id": string;
    /**
     * The type of the resource.
     */
    "type": ApmRetentionFilterType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
