/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { ScheduleMemberRelationshipsUserData } from "./ScheduleMemberRelationshipsUserData";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Wraps the user data reference for a schedule member.
 */
export declare class ScheduleMemberRelationshipsUser {
    /**
     * Points to the user data associated with this schedule member, including an ID and type.
     */
    "data": ScheduleMemberRelationshipsUserData;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
