/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The object containing all signal attributes and their
 * associated values.
 */
export declare class SecurityMonitoringSignalAttributes {
    /**
     * A JSON object of attributes in the security signal.
     */
    "custom"?: {
        [key: string]: any;
    };
    /**
     * The message in the security signal defined by the rule that generated the signal.
     */
    "message"?: string;
    /**
     * An array of tags associated with the security signal.
     */
    "tags"?: Array<string>;
    /**
     * The timestamp of the security signal.
     */
    "timestamp"?: Date;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
