/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { SecurityMonitoringFilter } from "./SecurityMonitoringFilter";
import { SecurityMonitoringRuleCaseCreate } from "./SecurityMonitoringRuleCaseCreate";
import { SecurityMonitoringRuleOptions } from "./SecurityMonitoringRuleOptions";
import { SecurityMonitoringSignalRuleQuery } from "./SecurityMonitoringSignalRuleQuery";
import { SecurityMonitoringSignalRuleType } from "./SecurityMonitoringSignalRuleType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Create a new signal correlation rule.
 */
export declare class SecurityMonitoringSignalRuleCreatePayload {
    /**
     * Cases for generating signals.
     */
    "cases": Array<SecurityMonitoringRuleCaseCreate>;
    /**
     * Additional queries to filter matched events before they are processed. This field is deprecated for log detection, signal correlation, and workload security rules.
     */
    "filters"?: Array<SecurityMonitoringFilter>;
    /**
     * Whether the notifications include the triggering group-by values in their title.
     */
    "hasExtendedTitle"?: boolean;
    /**
     * Whether the rule is enabled.
     */
    "isEnabled": boolean;
    /**
     * Message for generated signals.
     */
    "message": string;
    /**
     * The name of the rule.
     */
    "name": string;
    /**
     * Options.
     */
    "options": SecurityMonitoringRuleOptions;
    /**
     * Queries for selecting signals which are part of the rule.
     */
    "queries": Array<SecurityMonitoringSignalRuleQuery>;
    /**
     * Tags for generated signals.
     */
    "tags"?: Array<string>;
    /**
     * The rule type.
     */
    "type"?: SecurityMonitoringSignalRuleType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
