"use strict";
/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SensitiveDataScannerMeta = void 0;
/**
 * Meta response containing information about the API.
 */
class SensitiveDataScannerMeta {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return SensitiveDataScannerMeta.attributeTypeMap;
    }
}
exports.SensitiveDataScannerMeta = SensitiveDataScannerMeta;
/**
 * @ignore
 */
SensitiveDataScannerMeta.attributeTypeMap = {
    countLimit: {
        baseName: "count_limit",
        type: "number",
        format: "int64",
    },
    groupCountLimit: {
        baseName: "group_count_limit",
        type: "number",
        format: "int64",
    },
    hasHighlightEnabled: {
        baseName: "has_highlight_enabled",
        type: "boolean",
    },
    hasMultiPassEnabled: {
        baseName: "has_multi_pass_enabled",
        type: "boolean",
    },
    isPciCompliant: {
        baseName: "is_pci_compliant",
        type: "boolean",
    },
    version: {
        baseName: "version",
        type: "number",
        format: "int64",
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=SensitiveDataScannerMeta.js.map