/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { SensitiveDataScannerRuleAttributes } from "./SensitiveDataScannerRuleAttributes";
import { SensitiveDataScannerRuleRelationships } from "./SensitiveDataScannerRuleRelationships";
import { SensitiveDataScannerRuleType } from "./SensitiveDataScannerRuleType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Response data related to the creation of a rule.
 */
export declare class SensitiveDataScannerRuleResponse {
    /**
     * Attributes of the Sensitive Data Scanner rule.
     */
    "attributes"?: SensitiveDataScannerRuleAttributes;
    /**
     * ID of the rule.
     */
    "id"?: string;
    /**
     * Relationships of a scanning rule.
     */
    "relationships"?: SensitiveDataScannerRuleRelationships;
    /**
     * Sensitive Data Scanner rule type.
     */
    "type"?: SensitiveDataScannerRuleType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
