/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { ServiceDefinitionV2Dot1LinkType } from "./ServiceDefinitionV2Dot1LinkType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Service's external links.
 */
export declare class ServiceDefinitionV2Dot1Link {
    /**
     * Link name.
     */
    "name": string;
    /**
     * Link provider.
     */
    "provider"?: string;
    /**
     * Link type.
     */
    "type": ServiceDefinitionV2Dot1LinkType;
    /**
     * Link URL.
     */
    "url": string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
