/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Encapsulates the basic attributes of a Team reference, such as name, handle, and an optional avatar or description.
 */
export declare class TeamReferenceAttributes {
    /**
     * URL or reference for the team's avatar (if available).
     */
    "avatar"?: string;
    /**
     * A short text describing the team.
     */
    "description"?: string;
    /**
     * A unique handle/slug for the team.
     */
    "handle"?: string;
    /**
     * The full, human-readable name of the team.
     */
    "name"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
