/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { TimeseriesFormulaRequest } from "./TimeseriesFormulaRequest";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A request wrapper around a single timeseries query to be executed.
 */
export declare class TimeseriesFormulaQueryRequest {
    /**
     * A single timeseries query to be executed.
     */
    "data": TimeseriesFormulaRequest;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
