/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { TimeseriesResponse } from "./TimeseriesResponse";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A message containing one response to a timeseries query made with timeseries formula query request.
 */
export declare class TimeseriesFormulaQueryResponse {
    /**
     * A message containing the response to a timeseries query.
     */
    "data"?: TimeseriesResponse;
    /**
     * The error generated by the request.
     */
    "errors"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
