/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { UserTeamPermissionAttributes } from "./UserTeamPermissionAttributes";
import { UserTeamPermissionType } from "./UserTeamPermissionType";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A user's permissions for a given team
 */
export declare class UserTeamPermission {
    /**
     * User team permission attributes
     */
    "attributes"?: UserTeamPermissionAttributes;
    /**
     * The user team permission's identifier
     */
    "id": string;
    /**
     * User team permission type
     */
    "type": UserTeamPermissionType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
