/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { UserTeam } from "./UserTeam";
import { UserTeamIncluded } from "./UserTeamIncluded";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * Team membership response
 */
export declare class UserTeamResponse {
    /**
     * A user's relationship with a team
     */
    "data"?: UserTeam;
    /**
     * Resources related to the team memberships
     */
    "included"?: Array<UserTeamIncluded>;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
