/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { Spec } from "./Spec";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * The definition of `WorkflowDataUpdateAttributes` object.
 */
export declare class WorkflowDataUpdateAttributes {
    /**
     * When the workflow was created.
     */
    "createdAt"?: Date;
    /**
     * Description of the workflow.
     */
    "description"?: string;
    /**
     * Name of the workflow.
     */
    "name"?: string;
    /**
     * Set the workflow to published or unpublished. Workflows in an unpublished state will only be executable via manual runs. Automatic triggers such as Schedule will not execute the workflow until it is published.
     */
    "published"?: boolean;
    /**
     * The spec defines what the workflow does.
     */
    "spec"?: Spec;
    /**
     * Tags of the workflow.
     */
    "tags"?: Array<string>;
    /**
     * When the workflow was last updated.
     */
    "updatedAt"?: Date;
    /**
     * If a Webhook trigger is defined on this workflow, a webhookSecret is required and should be provided here.
     */
    "webhookSecret"?: string;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
