"use strict";
/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.XRayServicesIncludeOnly = void 0;
/**
 * Include only these services. Defaults to `[]`.
 */
class XRayServicesIncludeOnly {
    constructor() { }
    /**
     * @ignore
     */
    static getAttributeTypeMap() {
        return XRayServicesIncludeOnly.attributeTypeMap;
    }
}
exports.XRayServicesIncludeOnly = XRayServicesIncludeOnly;
/**
 * @ignore
 */
XRayServicesIncludeOnly.attributeTypeMap = {
    includeOnly: {
        baseName: "include_only",
        type: "Array<string>",
        required: true,
    },
    additionalProperties: {
        baseName: "additionalProperties",
        type: "any",
    },
};
//# sourceMappingURL=XRayServicesIncludeOnly.js.map