/**
 * Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 * This product includes software developed at Datadog (https://www.datadoghq.com/).
 * Copyright 2020-Present Datadog, Inc.
 */
import { VulnerabilitiesType } from "./VulnerabilitiesType";
import { VulnerabilityAttributes } from "./VulnerabilityAttributes";
import { VulnerabilityRelationships } from "./VulnerabilityRelationships";
import { AttributeTypeMap } from "../../datadog-api-client-common/util";
/**
 * A single vulnerability
 */
export declare class Vulnerability {
    /**
     * The JSON:API attributes of the vulnerability.
     */
    "attributes": VulnerabilityAttributes;
    /**
     * The unique ID for this vulnerability.
     */
    "id": string;
    /**
     * Related entities object.
     */
    "relationships": VulnerabilityRelationships;
    /**
     * The JSON:API type.
     */
    "type": VulnerabilitiesType;
    /**
     * A container for additional, undeclared properties.
     * This is a holder for any undeclared properties as specified with
     * the 'additionalProperties' keyword in the OAS document.
     */
    "additionalProperties"?: {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    "_unparsed"?: boolean;
    /**
     * @ignore
     */
    static readonly attributeTypeMap: AttributeTypeMap;
    /**
     * @ignore
     */
    static getAttributeTypeMap(): AttributeTypeMap;
    constructor();
}
